> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# `PATCH /api/v1/products/:id`

> `PATCH /api/v1/products/:id`

### Path parameters

<ParamField path="id" type="string" required>
  Product ID (UUID)
</ParamField>

### Request body

`UpdateProductRequest`

<ParamField body="description" type="string,null" />

<ParamField body="name" type="string,null" />

<ParamField body="product_type" type="string,null" />

<ParamField body="status" type="string,null" />

### Responses

<ResponseField name="200" type="ProductResponse">
  Product updated
</ResponseField>

<ResponseField name="400" type="ErrorBody">
  Invalid request
</ResponseField>

<ResponseField name="404" type="ErrorBody">
  Product not found
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --request PATCH \
    --url 'https://api.stateset.com/api/v1/products/{id}' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "description": null,
    "name": null,
    "product_type": null,
    "status": null
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "created_at": "2026-07-24T12:00:00Z",
    "description": "string",
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "name": "string",
    "product_type": "string",
    "slug": "string",
    "status": "string",
    "updated_at": "2026-07-24T12:00:00Z"
  }
  ```
</ResponseExample>
